<?php

namespace MyApp\Core;

class View
{
    /**
     * @var string
     */
    public $title = '';
    /**
     * @var string
     */
    public $siteName = '';

    public function __construct()
    {
    }

    /**
     * @param string $template
     *
     * @return string
     */
    public function render(string $template): string
    {
        /* @var \App $app */
        global $app;

        $fileName = $app->config->getSrcDir().'/templates/'.$template.'.tpl.php';

        $out = '';
        if (file_exists($fileName)) {
            ob_start();
            require $fileName;
            $out = ob_get_contents();
            ob_end_clean();
        }

        return $out;
    }

    /**
     * @param string $title
     *
     * @return View
     */
    public function setTitle(string $title)
    {
        /* @var \App $app */
        global $app;

        $this->siteName = $app->config->getSiteName();
        $this->title = $title;

        return $this;
    }
}
